VMTKSURFACETRANSFORMINTERACTIVE(1)

NAME
vmtksurfacetransforminteractive - vmtk script vmtksurfacetransforminteractive

DESCRIPTION
Automatic piping vmtksurfacetransforminteractive Parsing options vmtksurfacetransforminteractive

vmtksurfacetransforminteractive : interactively transform a surface to

    another surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-r ReferenceSurface (vtkPolyData,1): the reference surface

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-scaling Scaling (bool,1); default=0: allow scaling of surface

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface

-omatrix4x4 Matrix4x4 (vtkMatrix4x4,1): the output transform matrix

-omatrix MatrixCoefficients (float,16); default=None: the output

    transform matrix coefficients